# Gst::MessageError Class Reference

An error message. More...

Inherits Gst::Message.

Collaboration diagram for Gst::MessageError:
[legend]

List of all members.

## Public Member Functions

| MessageError (GstMessage* castitem)
void | parse (Glib::Error& error, std::string& debug) const
| Extracts the Glib::Error and debug string from the Gst::MessageError.
Glib::Error | parse () const
| Extracts and returns the Glib::Error from the Gst::MessageError.
std::string | parse_debug () const
| Extracts and returns the debug message from the Gst::MessageError.

## Static Public Member Functions

static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src, Glib::Error& error, const std::string& debug)
| Create a new error message.

## Detailed Description

An error message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageError::MessageError | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageError::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Glib::Error & | error,
|  | const std::string & | debug |
| ) |  |  | `[static]`

Create a new error message.

The message will copy error and debug. This message is posted by elements when a fatal event occured. The pipeline will probably (partially) stop. The application receiving this message should stop the pipeline.

Parameters:

  | src | The object originating the message.
  | error | The Glib::Error for this message.
  | debug | A debugging string for something or other.

Returns:
  The new error message. MT safe.

Glib::Error Gst::MessageError::parse | ( |  | ) | const

Extracts and returns the Glib::Error from the Gst::MessageError.

MT safe.

Returns:
  The Glib::Error.

void Gst::MessageError::parse | ( | Glib::Error & | error,
|  | std::string & | debug |
| ) |  |  | const

Extracts the Glib::Error and debug string from the Gst::MessageError.

MT safe.

Parameters:

  | error | Location for the Glib::Error.
  | debug | Location for the debug message.

std::string Gst::MessageError::parse_debug | ( |  | ) | const

Extracts and returns the debug message from the Gst::MessageError.

MT safe.

Returns:
  The debug message.

The documentation for this class was generated from the following file:

- gstreamermm/message.h